commit:     349df2dc0f7a7c54bff3919338bdb66ffe4fb055
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  1 00:37:13 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Apr  1 00:43:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=349df2dc

dev-libs/libgcrypt-compat: fix libtool file removal (for slibtool)

slibtool doesn't produce these files at all, so we can't
delete them in that case.

Closes: https://bugs.gentoo.org/779124
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libgcrypt-compat/libgcrypt-compat-1.5.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/libgcrypt-compat/libgcrypt-compat-1.5.6.ebuild 
b/dev-libs/libgcrypt-compat/libgcrypt-compat-1.5.6.ebuild
index f4078eb5c0c..ec5dee1b148 100644
--- a/dev-libs/libgcrypt-compat/libgcrypt-compat-1.5.6.ebuild
+++ b/dev-libs/libgcrypt-compat/libgcrypt-compat-1.5.6.ebuild
@@ -53,5 +53,5 @@ multilib_src_configure() {
 
 multilib_src_install() {
        emake -C src DESTDIR="${D}" install-libLTLIBRARIES
-       rm -v "${ED}"/usr/$(get_libdir)/*.{la,so} || die
+       rm -vf "${ED}"/usr/$(get_libdir)/*.{la,so} || die
 }

Reply via email to